%define nagiospluginsdir %{_libdir}/nagios/plugins
%define debug_package %{nil}

Summary: Check SMART status of ATA/SCSI/NVMe drives
Name: nagios-check_smart
Version: 6.13.0
Release: 2%{?dist}
License: Public Domain
URL: https://www.claudiokuenzler.com/nagios-plugins/check_smart.php
Source0: https://www.claudiokuenzler.com/monitoring-plugins/check_smart.pl
Requires: smartmontools
BuildRequires: perl-generators
BuildArch: noarch

%description
Check SMART status of ATA/SCSI/NVMe drives, returning any usable metrics as
perfdata.

%prep

%setup -T -c -n check_smart-%{version}
cp %{SOURCE0} .

%build

%install

install -d %{buildroot}%{nagiospluginsdir}
install -m0755 check_smart.pl %{buildroot}%{nagiospluginsdir}/check_smart

%files
%{nagiospluginsdir}/check_smart

%changelog
* Sun Jan 01 2023 Oden Eriksson <oe@nux.se> - 6.13.0-2
- fix deps

* Sun Nov 13 2022 Oden Eriksson <oe@nux.se> - 6.13.0-1
- initial RPM package
